[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: asyncprocess.pp line 37

`type TAsyncProcess = class(TProcessUTF8)`
`protected`
`function GetNumBytesAvailable;` |  |
`procedure HandlePipeInput();` |  |
`procedure HandleProcessTermination();` |  |
`procedure UnhookPipeHandle;`
`procedure UnhookProcessHandle;`
`public`
`procedure Execute; override;` |  |
`destructor Destroy; override;`
`property NumBytesAvailable: dword; [r]` |  |
`published`
`property OnReadData: TNotifyEvent; [rw]` |  |
`property OnTerminate: TNotifyEvent; [rw]` |  |
`end;`

## Inheritance

`TAsyncProcess` |  |
`TProcessUTF8` |  |
`TProcess`
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .